accounts/urls.py
from django.urls import path
from django.conf.urls import url
from . import views

app_name = 'accounts'

urlpatterns = [
    path('', views.show_home, name='show_home'),
    path('preasign', views.create_submissionboxes_with_users, name='create_submissionboxes_with_users'),
    path('stablesids/list', views.AccountStableIDsListView.as_view(), name='stablesidst_list'),
    path('all', views.list_accounts, name='list_accounts'),
    path('numbersavailable/list', views.EgaBoxNumbersAvailableListView.as_view(), name='numbersavailable_list'),
    path('history/list', views.BoxHistoryListView.as_view(), name='history_list'),
    path('numbersavailable/modify', views.change_number_available , name='change_number_available'),
    path('detail/<pk>/', views.SubmissionBoxesDetailView.as_view(), name='submissionboxes_detail'),
    path('account/<pk>/', views.SubmissionAccountDetailView.as_view(), name='account_detail'),
    path('detail/account/<pk>/', views.modify_submissionboxes, name='sub_detail'),
    path('create/account/<pk>/', views.create_account, name='create_account'),
    path('find', views.find_account , name='find_account'),
    path('deletesb/<pk>/', views.delete_sb, name='delete_sb'),
   
]

myega_drop_boxes/urls.py
from django.contrib import admin
from django.urls import path,include

urlpatterns = [
    path('admin/', admin.site.urls),
    path('', include('accounts.urls')),
]

accounts/models.py
"""
Models to create the tables in the database.
Contains 8 models:

1. **SubmissionBoxes** - SubmissionBoxes.
2. **User** - User.
3. **SubmissionAccounts** - SubmissionAccounts.
4. **Country** - Country.
5. **AccountStableIDs** - AccountStableIDs.
6. **DownloadBoxes** - DownloadBoxes.
7. **BoxHistory** - BoxHistory.
8. **EgaBoxNumbersAvailable** - EgaBoxNumbersAvailable.
"""

from django.db import models
from django.utils import timezone
from django.core.validators import RegexValidator

# === SubmissionBoxes ===
class SubmissionBoxes(models.Model):

    ega_box_number = models.PositiveIntegerField(primary_key=True, unique=True)
    account_type = models.CharField(
        max_length=30, blank=True, null=True)
    temporary_column = models.CharField(
        max_length=30, blank=True, null=True)
    account_opened_date = models.DateTimeField(
        default=timezone.now)
    password_changed_date = models.DateTimeField(blank=True, null=True)
    rt_ticket = models.CharField(max_length=30, unique=True)
    emails = models.CharField(max_length=300)
    comments = models.TextField(blank=True, null=True)
    received_dta = models.BooleanField(default=False)

    sent_dta = models.BooleanField(default=False)
    days_passed_since_created_date = models.PositiveIntegerField(
        blank=True, null=True)

    class Meta:
        db_table = 'submissionboxes'

    def __str__(self):
        return str(self.ega_box_number)

    def get_users(self):
        return ', '.join(self.users.all().values_list('email', flat=True))


# === User ===
class User(models.Model):
    email = models.EmailField(max_length=100)
    submissionboxes = models.ForeignKey(
        SubmissionBoxes,
        related_name='users', on_delete=models.CASCADE)

    class Meta:
        db_table = 'user'

    def __str__(self):
        return self.email


# === SubmissionAccounts ===
class SubmissionAccounts(models.Model):

    ega_box_number = models.PositiveIntegerField(
        unique=True,  primary_key=True)
    account_accession = models.CharField(max_length=50, unique=True)
    emails = models.CharField(max_length=300)
    submission_type = models.CharField(max_length=60, blank=True, null=True)
    country = models.CharField(max_length=100)
    region = models.CharField(max_length=100)
    institute_name = models.CharField(max_length=100)
    mapi = models.CharField(max_length=10, blank=True, null=True)
    affiliation_project = models.CharField(
        max_length=50, blank=True, null=True)
    center_name = models.CharField(max_length=80)
    password = models.CharField(max_length=80)
    comments = models.TextField(blank=True, null=True)
    submission_box = models.ForeignKey(
        SubmissionBoxes, on_delete=models.CASCADE)
    account_opened_date = models.DateTimeField(default=timezone.now)

    def __str__(self):
        return '%s %s %s' % (self.ega_box_number, self.account_accession, self.emails)

    def get_counthry(self):
        self.country = ', '.join(
            self.counthry.all().values_list('name', flat=True))
        return self.country

# === Country ===
class Country(models.Model):
    name = models.CharField(max_length=600)
    submissionAccounts_country = models.ForeignKey(
        SubmissionAccounts,
        related_name='counthry', on_delete=models.CASCADE)

    class Meta:
        db_table = 'country'

    def __str__(self):
        return self.name


# === AccountStableIDs ===
class AccountStableIDs(models.Model):
    ega_box_text = models.CharField(
        primary_key=True, max_length=100, unique=True)
    submission_boxes = models.OneToOneField(
        SubmissionBoxes,
        on_delete=models.CASCADE
    )

    submission_account = models.OneToOneField(
        SubmissionAccounts,
        on_delete=models.CASCADE,
        blank=True, null=True
    )

    account_accession = models.CharField(max_length=50, unique=True)

    def __str__(self):
        return '%s %s' % (self.ega_box_text, self.account_accession)


# === DownloadBoxes ===
class DownloadBoxes(models.Model):

    box = models.PositiveIntegerField(primary_key=True)
    account_type = models.CharField(max_length=20)
    re_distribution = models.BooleanField(default=False)
    tempory_col = models.CharField(max_length=60)

    user = models.EmailField(max_length=70)
    account_opened_date = models.DateTimeField()

    password_changed_date = models.DateTimeField()
    expired = models.BooleanField(default=False)
    comments = models.TextField()

    def __str__(self):
        return '%s %s' % (self.box, self.user)

# === BoxHistory ===
class BoxHistory(models.Model):

    ega_name = models.CharField(max_length=100)
    user = models.EmailField(max_length=70)
    account_opened_date = models.DateTimeField()
    password_changed_date = models.DateTimeField(blank=True, null=True)
    comments = models.TextField()  
    created_date = models.DateTimeField(default=timezone.now)

    def __str__(self):
        return '%s %s' % (self.ega_name, self.user)


# === EgaBoxNumbersAvailable ===
class EgaBoxNumbersAvailable(models.Model):
    id = models.AutoField(primary_key=True)
    ega_numbers_disponibles = models.CharField(
        max_length=1000, blank=True, null=True)
    ega_maxim = models.PositiveIntegerField(blank=True, null=True)
    quantity = models.IntegerField(blank=True, null=True)

accounts/views.py
"""
Views where functions and templates are called.
Currently we support the following 13 functions:

1.  **show_home** - home page
2.  **SubmissionAccountDetailView** - Exists account 
3.  **SubmissionBoxesDetailView** - Request successful when create a pre-assign account
4.  **AccountStableIDsListView** - List AccountStableIDs
5.  **BoxHistoryListView** - List All History
6.  **list_accounts** - List All
7.  **EgaBoxNumbersAvailableListView** - List All Ega numbers available
8.  **change_number_available** - Modify Ega numbers available
9.  **delete_sb** - delete account
10. **create_submissionboxes_with_users** - Pre-assign account
11. **find_account** - Assign account
12. **create_account** - Create account
13. **modify_submissionboxes** - Modify Pre-assign account
"""

from django.shortcuts import render, redirect, reverse, get_list_or_404, get_object_or_404
from django.http import HttpResponse
from django.template import loader
from django.views import generic
from django.utils import timezone
from django.views.generic.detail import DetailView
from django.views.generic import TemplateView
from .forms import (
    SubmissionBoxesModelForm,
    UserFormset,
    FindSubmissionAccountForm,
    ModifySubBoxesModelForm,
    SubmissionAccountsModelForm,
    CountryFormset,
    EgaBoxNumbersAvailableModelForm
)
from .models import (
    SubmissionBoxes,
    User,
    SubmissionAccounts,
    Country,
    EgaBoxNumbersAvailable,
    AccountStableIDs,
    BoxHistory)
from django.core import serializers
import json

# === show_home ===
def show_home(request):
    template_name = 'accounts/home.html'
    heading = 'Submission account creation'
    return render(request, template_name, {
        'heading': heading
    })

# === SubmissionAccountDetailView ===
class SubmissionAccountDetailView(DetailView):
    model = SubmissionAccounts
    template_name = 'accounts/account_detail.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['heading'] = 'Exists :=)'
        return context

# === SubmissionBoxesDetailView ===
class SubmissionBoxesDetailView(DetailView):
    model = SubmissionBoxes
    template_name = 'accounts/submission_boxes_detail.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['now'] = timezone.now()
        context['heading'] = 'Request successful'
        return context


# === AccountStableIDsListView ===
class AccountStableIDsListView(generic.ListView):
    model = AccountStableIDs
    context_object_name = 'accountStableIDs'
    template_name = 'accounts/accountStableIDs_list.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['heading'] = 'List AccountStableIDs'
        return context

# === BoxHistoryListView ===
class BoxHistoryListView(generic.ListView):
    model = BoxHistory
    context_object_name = 'boxhistory'
    template_name = 'accounts/boxhistory_list.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['heading'] = 'List All History'
        return context

# === list_accounts ===
def list_accounts(request):
    submissionboxes = SubmissionBoxes.objects.all()
    accounts = SubmissionAccounts.objects.all()
    template_name = 'accounts/list.html'
    heading = 'List All'
    return render(request, template_name, {
        'submissionboxes': submissionboxes,
        'accounts': accounts,
        'heading': heading
    })

# === EgaBoxNumbersAvailableListView ===
class EgaBoxNumbersAvailableListView(generic.ListView):
    model = EgaBoxNumbersAvailable
    context_object_name = 'numbers'
    template_name = 'accounts/ega_numbers_available_list.html'

    def get_context_data(self, **kwargs):
        context = super().get_context_data(**kwargs)
        context['heading'] = 'List All Ega numbers available'
        return context

        
# === change_number_available ===
def change_number_available(request):
    template_name = 'accounts/ega_number_available_change.html'
    heading = 'Modify Ega numbers available'
    em = ''
    end = ''
    eq = ''
    objects = EgaBoxNumbersAvailable.objects.all().count()
    if objects > 0:
        p = EgaBoxNumbersAvailable.objects.all().last()
        em = p.ega_maxim
        end = p.ega_numbers_disponibles
        eq = p.quantity

    if request.method == 'GET':
        form = EgaBoxNumbersAvailableModelForm(request.GET or None)
    elif request.method == 'POST':
        form = EgaBoxNumbersAvailableModelForm(request.POST)
        if form.is_valid():
            ega_maxim = form.cleaned_data['ega_maxim']
            #

            ega_numbers_uso = list(SubmissionBoxes.objects.all(
            ).values_list('ega_box_number', flat=True))
            ega_numbers_disponibles = []

            for i in range(1, int(ega_maxim)):
                if i not in ega_numbers_uso:
                    ega_numbers_disponibles.append(i)
            pstr = ";".join([str(num) for num in ega_numbers_disponibles])
            list_int = [int(num) for num in pstr.split(";")]
            quan = len(list_int)

            #

            post = form.save()
            post.ega_numbers_disponibles = pstr
            post.quantity = quan
            post.save()
            return redirect('accounts:numbersavailable_list')
    return render(request, template_name, {
        'form': form,
        'em': em,
        'end': end,
        'eq': eq,
        'heading': heading
    })


# === delete_sb ===
def delete_sb(request, pk):

    if request.method == 'POST':
        sb = SubmissionBoxes.objects.get(pk=pk)
        BoxHistory.objects.create(ega_name=sb.ega_box_number, user=sb.emails,
                                  account_opened_date=sb.account_opened_date, comments=sb.comments)

        sb.delete()

    return redirect('accounts:list_accounts')

# === create_submissionboxes_with_users ===
def create_submissionboxes_with_users(request):
    template_name = 'accounts/submission_boxes_new.html'
    heading = 'Pre-assign account'
    # get maxim of Numbers Available
    numbers_maxims = list(EgaBoxNumbersAvailable.objects.all(
    ).values_list('ega_maxim', flat=True))
    pstr = ''
    if len(numbers_maxims) > 0:
        maxi_num = max(numbers_maxims)
        #
        ega_numbers_uso = list(SubmissionBoxes.objects.all(
        ).values_list('ega_box_number', flat=True))
        ega_numbers_disponibles = []

        for i in range(1, int(maxi_num)):
            if i not in ega_numbers_uso:
                ega_numbers_disponibles.append(i)
        pstr = ";".join([str(num) for num in ega_numbers_disponibles])
        list_int = [int(num) for num in pstr.split(";")]
        quan = len(list_int)
        #
    if request.method == 'GET':
        submissionboxesform = SubmissionBoxesModelForm(request.GET or None)
        formset = UserFormset(queryset=User.objects.none())
    # POST
    elif request.method == 'POST':
        submissionboxesform = SubmissionBoxesModelForm(request.POST)
        # formset
        num_formset = int(''.join(request.POST['form-TOTAL_FORMS']))
        list_emails = []
        for i in range(0, num_formset):
            list_emails.append(request.POST['form-'+str(i)+'-email'])
        string_emails = ', '.join(list_emails)
        #
        formset = UserFormset(request.POST)
        if submissionboxesform.is_valid() and formset.is_valid():
            submissionboxes = submissionboxesform.save(commit=False)
            submissionboxes.emails = string_emails
            submissionboxes.save()
            ega_box_number = submissionboxesform.cleaned_data['ega_box_number']
            # LIST EGA BOX NUMBERS AVAILABLE
            if len(numbers_maxims) > 0:
                ega_numbers_uso = list(SubmissionBoxes.objects.all(
                ).values_list('ega_box_number', flat=True))
                ega_numbers_disponibles = []

                for i in range(1, int(maxi_num)):
                    if i not in ega_numbers_uso:
                        ega_numbers_disponibles.append(i)
                pstr = ";".join([str(num) for num in ega_numbers_disponibles])
                list_int = [int(num) for num in pstr.split(";")]
                quan = len(list_int)
                ega_a = EgaBoxNumbersAvailable.objects.create(
                    ega_numbers_disponibles=pstr, ega_maxim=int(maxi_num), quantity=quan)
                #
            for form in formset:
                user = form.save(commit=False)
                user.submissionboxes = submissionboxes
                user.save()
            return redirect('accounts:submissionboxes_detail', ega_box_number)

    return render(request, template_name, {
        'submissionboxesform': submissionboxesform,
        'formset': formset,
        'pstr': pstr,
        'heading': heading
    })

# === find_account ===
def find_account(request):
    form = FindSubmissionAccountForm()
    heading = 'Assign account'
    mes_exists = ""
    if request.method == "POST":
        form = FindSubmissionAccountForm(request.POST)
        if form.is_valid():
            print("moamaoamao")
            ega_box_number = request.POST['ega_box']
            # exists submission boxes
            exists_sb = SubmissionBoxes.objects.filter(
                ega_box_number=ega_box_number).count()
            if exists_sb == 1:
                return redirect('accounts:sub_detail', pk=ega_box_number)
            else:
                mes_exists = "This ega box number does not exist. Not pre-assigned."
    return render(request, 'accounts/account_find.html', {
        'form': form,
        'mes_exists': mes_exists,
        'heading': heading
    })


# === create_account ===
def create_account(request, pk):
    post = get_object_or_404(SubmissionBoxes, pk=pk)
    template_name = 'accounts/account_create.html'
    heading = 'Create account'
    #

accounts/templates/accounts/base.html
{% load static %}
<!DOCTYPE html>
<html>

<head>
  <title>EGA Submission Account</title>
  <!-- Required meta tags -->
  <meta name="viewport" content="width=device-width, initial-scale=1, shrink-to-fit=no">
  <!-- Bootstrap 4.1 -->
  <link rel="stylesheet" href="https://stackpath.bootstrapcdn.com/bootstrap/4.1.0/css/bootstrap.min.css"
    integrity="sha384-9gVQ4dYFwwWSjIDZnLEWnxCjeSWFphJiwGPXr1jddIhOegiu1FwO5qRGvFXOdJZ4" crossorigin="anonymous">

  <!-- CDN/CSS  -->
  <link rel="stylesheet" type="text/css"
    href="https://cdn.datatables.net/v/bs4/jszip-2.5.0/dt-1.10.18/af-2.3.2/b-1.5.4/b-colvis-1.5.4/b-flash-1.5.4/b-html5-1.5.4/b-print-1.5.4/cr-1.5.0/fc-3.2.5/fh-3.1.4/kt-2.5.0/r-2.2.2/rg-1.1.0/rr-1.2.4/sc-1.5.0/sl-1.2.6/datatables.min.css" />

  <!-- FontAwesome 5.4.1 SVG with JS -->
  <script defer src="https://use.fontawesome.com/releases/v5.4.1/js/all.js"
    integrity="sha384-L469/ELG4Bg9sDQbl0hvjMq8pOcqFgkSpwhwnslzvVVGpDjYJ6wJJyYjvG3u8XW7"
    crossorigin="anonymous"></script>
  <link
    href="http://fonts.googleapis.com/css?family=Source+Sans+Pro:200,300,400,600,700,900|Quicksand:400,700|Questrial"
    rel="stylesheet" />

  <link rel="stylesheet" href="{% static 'css/default.css' %}">
  <link rel="stylesheet" href="{% static 'css/fonts.css' %}">
  <link rel="stylesheet" href="{% static 'css/mystyle.css' %}">


</head>

<body>
  <div id="header-wrapper">
    <div id="header" class="container">
      <div id="logo">
        <h1><a href="{% url 'accounts:show_home' %}">
            {% if heading %}
            {{heading}}
            {% endif %}

          </a></h1>
      </div>

    </div>
  </div>

  <nav class="navbar navbar-expand-lg navbar-dark bg-dark">

    <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarNavDropdown"
      aria-controls="navbarNavDropdown" aria-expanded="false" aria-label="Toggle navigation">
      <span class="navbar-toggler-icon"></span>
    </button>
    <div class="collapse navbar-collapse" id="navbarNavDropdown">
      <ul class="navbar-nav" id="navul" style="padding: 0em 25em;text-align: center;">
        <li class="nav-item lini">
          <a class="nav-link" href="{% url 'accounts:create_submissionboxes_with_users' %}"
            title="Pre-assign account">Pre-assign account<span class="sr-only">(current)</span></a>
        </li>
        <li class="nav-item lini">
          <a class="nav-link" href="{% url 'accounts:find_account' %}" title="Assign account">Assign account</a>
        </li>
        <li class="nav-item lini">
          <a class="nav-link" href="{% url 'accounts:list_accounts' %}" title="List all">List all</a>
        </li>
        <li class="nav-item dropdown lini">
          <a class="nav-link dropdown-toggle" href="#" id="navbarDropdownMenuLink" data-toggle="dropdown"
            aria-haspopup="true" aria-expanded="false">
            More
          </a>
          <div class="dropdown-menu" aria-labelledby="navbarDropdownMenuLink">
            <a class="dropdown-item lini" href="{% url 'accounts:change_number_available' %}"
              title=" Modify ega box numbers availables">Modify ega box numbers availables</a>
            <a class="dropdown-item lini" href="{% url 'accounts:numbersavailable_list' %}"
              title="List ega box numbers availables">List ega box numbers
              availables</a>
            <a class="dropdown-item lini" href="{% url 'accounts:stablesidst_list' %}"
              title="List AccountStableIDs">List AccountStableIDs</a>
            <a class="dropdown-item lini" href="{% url 'accounts:history_list' %}" title="List History">List
              History</a>
          </div>
        </li>
      </ul>
    </div>
  </nav>


  <div class="wrapper">
    {% block content %}
    {% endblock %}
  </div>
  <div id="footer">
    <div class="container">

      <div class="fbox1" >
        <span class="icon ">
          <i class="fa fa-user-secret" aria-hidden="true"></i>
        </span>
        <span>
          <a href="https://ega-archive.org/files/European_Genome_phenome_Archive_Security_Overview.pdf"
            target="_blanck">Privacy
            Policy</a>
        </span>
      </div>
      <div class="fbox1">
        <span class="icon ">
          <i class="fa fa-info-circle" aria-hidden="true"></i>

        </span>
        <span>
          <a href="https://ega-archive.org/" target="_blanck">ega-archive.org</a>
        </span>
      </div>
    </div>
  </div>

  <!-- Optional JavaScript -->
  <!-- jQuery first, then Popper.js, then Bootstrap JS -->
  <script src="https://code.jquery.com/jquery-3.3.1.slim.min.js"
    integrity="sha384-q8i/X+965DzO0rT7abK41JStQIAqVgRVzpbzo5smXKp4YfRvH+8abtTE1Pi6jizo"
    crossorigin="anonymous"></script>
  <script src="https://cdnjs.cloudflare.com/ajax/libs/popper.js/1.14.3/umd/popper.min.js"
    integrity="sha384-ZMP7rVo3mIykV+2+9J3UJ46jBk0WLaUAdn689aCwoqbBJiSnjAK/l8WvCWPIPm49"
    crossorigin="anonymous"></script>
  <script src="https://stackpath.bootstrapcdn.com/bootstrap/4.1.1/js/bootstrap.min.js"
    integrity="sha384-smHYKdLADwkXOn1EmN1qk/HfnUcbVRZyYmZ4qpPea6sjB/pTJ0euyQp0Mk8ck+5T"
    crossorigin="anonymous"></script>
  <script>
    $(window).resize(function () {
      if ($(window).width() < 990) {
        $("#navul").css("padding", "0em 0em");
      } else {
        $("#navul").css("padding", "0em 25em");
      }
    });
  </script>
  {% block custom_js %}{% endblock %}
</body>

</html>

accounts/templates/accounts/home.html
{% extends "accounts/base.html" %}

{% block content %}

<div id="welcome" class="container">
  <div class="title">
    <h2>Hello HD team</h2>
  </div>
  <p>This is <strong>Submission account creation</strong>. This page allows the Ega-box pre-assignation and Ega-box
    assignation of an account. It also allows
    the management of these accounts. <br> I hope you find it useful.

  </p>
</div>

<div id="three-column" class="container">
  <div><span class="arrow-down"></span></div>

  <div id="tbox1">
    <div class="title">
      <h2>Pre-assign account</h2>
    </div>
    <p>
      The user when completing the <a href=" https://ega-archive.org/submission-form.php"
        target="_blanck">submission-form</a> .

      This form can be found in the EGA <a href="https://ega-archive.org" target="_blanck"> main website</a>, bottom
      part. 'I have data to submit'.
      <br>
      Once this form is populated and sent, a ticket is automatically generated to the <strong>EGA Helpdesk RT system
      </strong> .
      <br>
      If this user does not have a submission accounts assigned, his section allows you to create this account.
    </p>
    <a class="button" href="{% url 'accounts:create_submissionboxes_with_users' %}">Pre-assignation</a>
  </div>

  <div id="tbox2">
    <div class="title">
      <h2>Assign account</h2>
    </div>
    <p>This section allows you to create an account if the <strong>potential submitter </strong> will send the
      submission statement back.
      To create this account, you must first do a search for the pre-assigned account, if the pre-assigned account
      exists, select that we have received the <strong>dta </strong> (document submission statement). Once the <strong>
        received_dta</strong> field has been
      selected and the comments have been modified, the continue button must be clicked.
      Finally, this button opens the form to create an account when the dta has been received.

    </p>
    <a href="{% url 'accounts:find_account' %}" class="button">Assign account</a>
  </div>

  <div id="tbox3">
    <div class="title">
      <h2>List all</h2>
    </div>
    <p>Lists the table where accounts have been pre-assigned <strong>(Submission Boxes) </strong>
      and lists the table where accounts have been assigned <strong> (Submission Accounts) </strong>.
      This section also allows you to manage accounts: delete an account, search for an account, etc.</p>
    <a href="{% url 'accounts:list_accounts' %}" class="button">List all</a>
  </div>

</div>

<div id="portfolio" class="container">
  <div class="column1">
    <div class="box">
      <a href="{% url 'accounts:change_number_available' %}">
        <div style="width: 100%;height: 2px;background-color: #CC3399;">
        </div>
      </a>
      <h3 style="margin-top: 10px;">Modify ega box numbers
        availables</h3>
      <p>Ega-box-numbers are used when creating an account.
        If there are few ega-box-numbers, more should be requested from EBI.
        This section allows you to manage the ega-box-numbers you have.
        <button id="accordion" type="button" class="btn btn-outline-light" data-toggle="tooltip" data-placement="top"
          title="Click me!">
          <span style="color: #CC3399;">
            <i class="fa fa-question-circle" aria-hidden="true"></i>
          </span>
        </button>
      </p>
      <div id="divaccordion"></div>

      <a href="{% url 'accounts:change_number_available' %}" class="button button-small">Modify ega box numbers
        availables</a>
    </div>
  </div>

  <div class="column2">

    <div class="box">
      <a href="{% url 'accounts:numbersavailable_list' %}">
        <div style="width: 100%;height: 2px;background-color: #CC3399;">
        </div>
      </a>
      <h3 style="margin-top: 10px;">List ega box numbers availables</h3>
      <p>This section show the table of available ega-numbers.</p>
      <a href="{% url 'accounts:numbersavailable_list' %}" class="button button-small">List ega box numbers
        availables</a>
    </div>
  </div>

  <div class="column3">
    <div class="box">
      <a href="{% url 'accounts:stablesidst_list' %}">
        <div style="width: 100%;height: 2px;background-color: #CC3399;">
        </div>
      </a>
      <h3 style="margin-top: 10px;">List AccountStableIDs</h3>
      <p>This section show the AccountStableIDs table, this table relates the ega-box-number to the subsequent
        submission account ID (EGAB).</p>
      <a href="{% url 'accounts:stablesidst_list' %}" class="button button-small">List AccountStableIDs</a>
    </div>
  </div>

  <div class="column4">
    <div class="box">
      <a href="{% url 'accounts:history_list' %}">
        <div style="width: 100%;height: 2px;background-color: #CC3399;">
        </div>
      </a>
      <h3 style="margin-top: 10px;">List History</h3>
      <p>This section shows the History table, when an account is deleted it is saved in this table.</p>
      <a href="{% url 'accounts:history_list' %}" class="button button-small">List History</a>
    </div>
  </div>

</div>

{% endblock %}

{% block custom_js %}

<script src="https://code.jquery.com/jquery-3.2.1.slim.min.js"
  integrity="sha384-KJ3o2DKtIkvYIK3UENzmM7KCkRr/rE9/Qpg6aAZGJwFDMVNA/GpGFF93hXpG5KkN" crossorigin="anonymous"></script>
<script>
  $(document).on('click', '#accordion', function (e) {
    e.preventDefault();
    var content_initial = ' <div>' +
      'For example:' +
      '<p> -The ega-box-numbers that I have been given by the EBI are: [1,15] where 15 is the maximum.</p>' +
      '<p> - The ega-box-numbers used (= the ega-box-numbers of the pre-assigned accounts) are: 1,2,3,4,5, 6, 9, 12 (8' +
      '  total) </p>' +
      '<p> So, we have:</p>' +
      '<ul>' +
      '  <li>- Ega-box-numbers-not-available: 1,2,3,4,5, 6, 9, 12 (8 total)</li>' +
      '  <li>- Ega-box-numbers-available are: 7,8,10,11,13,14,15 (7 total)</li>' +
      '</ul>' +
      '<p>' +
      '  This section allows you to define the maximum number of ega-box-numbers (in the previous example it was 15),' +
      '  so that the program can calculate the ega-box-numbers-available.' +
      '</p>' +
      '</div>';
    $("#divaccordion").html(content_initial);
    $("#divaccordion").toggle();
    return false;
  });
</script>
{% endblock %}